<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    {% if title %}
      <title>{{ title }} - Quora</title>
      {% else %}
      <title>Welcome to Quora</title>
      {% endif %}
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
</head>
<body>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js" integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js" integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k" crossorigin="anonymous"></script>
<div class="container">
    <div class="row">
        <div class="col-sm-3"><h1>Quora</h1></div>
        <div class="col-sm-2"><a href="/index">Home</a></div>
        {% if current_user.is_anonymous %}
            <div class="col-sm-2"><a href="{{ url_for('login') }}">Login</a></div>
            <div class="col-sm-2"><a href="{{ url_for('register') }}">Register</a></div>
        {% else %}
            <div class="col-sm-2"><a href="{{ url_for('logout') }}">Logout</a></div>
            <div class="col-sm-2"><a href="{{ url_for('register') }}">Register</a></div>
            <div class="col-sm-3"><a href="{{ url_for('post_question') }}">Post a Question</a></div>
        {% endif %}
    </div>
        {% if not current_user.is_anonymous %}
            <div class="row">
                <div class="col-sm-4">
                    <button class='btn btn-primary' id='start_download'>Download your data</button>
                </div>
                <div class="col-sm-3">
                    <p id="status"></p>
                </div>
                 <div class="col-sm-3">
                    <p id="download"></p>
                 </div>
            </div>
        {% endif %}

    {% if g.search_form %}
        <form class="navbar-form navbar-left" method="get"
                action="{{ url_for('search') }}">
            <div class="form-group">
                {{ g.search_form.q(size=20, class='form-control',
                    placeholder=g.search_form.q.label.text) }}
            </div>
        </form>
    {% endif %}
</div>
<hr>
<div class="container">
        {% with messages = get_flashed_messages() %}
        {% if messages %}
            {% for message in messages %}
            <p><span style="color: red;">{{ message }}</span></p>
            {% endfor %}
        {% endif %}
        {% endwith %}
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>
    function update_progress(status_url) {
        // send GET request to status URL
        $.getJSON(status_url, function(data) {
            // update UI
            status = data['status']
            console.log("status=",status)
            console.log(data['state'] != 'PENDING' ,data['state'] != 'PROGRESS')
            document.getElementById('status').innerHTML = status
            if (data['status'] != 'PENDING' && data['status'] != 'PROGRESS') {
                if ('filepath' in data) {
                    // show result
                    console.log(data['filepath']);
                    document.getElementById('download').innerHTML = '<a href="/download/'+data['filepath']+'">Download</a>';
                }
                else {
                    // something unexpected happened
                    $('#download').text('Result: ' + data['state']);
                }
            }
            else {
                setTimeout(function() {
                    update_progress(status_url);
                }, 1000);
            }
        });
    }
    $(document).ready(function() {

        function start_download() {
        $.ajax({
            type: 'POST',
            url: '/download',
            success: function(data, status, request) {
                status_url = request.getResponseHeader('Location');
                update_progress(status_url);
            },
            error: function() {
                alert('Unexpected error');
            }
        });
    }

        $('#start_download').click(start_download);
    })

    </script>

        {% block content %}{% endblock %}
</body>
</html>